
/*
-------------------------------------------------------------------------------
Name:	TB_MarkFirstFrame.js

Description: This script adds a marker to the first frame of every selected panel.

Usage:	Select panels you want to mark, then run script.

Author:	Corey Barnes and Karl Olson

Created: 2020/3/21

Version: 1.0.0

Contact Info: Report bugs or feedback to livingfruitvirus@gmail.com

Twitter:
http://twitter.com/myanimewaifu (Corey)
http://twitter.com/karlrolson (Karl)

-------------------------------------------------------------------------------
*/

function MarkFirstFrame() {

  var sm = new SelectionManager();

  var panelSel = sm.getPanelSelection();
  if (panelSel.length <= 0) return;

  scene.beginUndoRedoAccum("Add Markers to First Frame of Selected Panels");

  for (var i = 0; i < panelSel.length;i++) {
    var thisPanel = panelSel[i];
    
	sm.setCurrentPanel(thisPanel);
	Action.perform("onActionGoToFirstFrame()");
	Action.perform("onActionAddMarker()");
  }
  scene.endUndoRedoAccum();
}